import api from '../api/api'
import tool from './tool'

var areaData = [];
/* 企业列表数据 */
var enterpriseList = []

function arealist () {
  api.requested({
    "classname": "system.tools",
    "method": "query_arealist",
    "content": {
    }
  }).then(res=>{
    areaData =  tool.createMenu(res.data)
  })
}

function getEnterpriseList () {
  api.requested({
    "id": 20221021095802,
    "content": {
        "pageNumber": 1,
        "pageSize": 99999,
        "where": {
            "condition": ""
        }
    },
  }).then(res=>{
    console.log(res.data);
    
    enterpriseList = res.data
  })
}

arealist ()
getEnterpriseList()

export default{
  data () {
    return {
      areaData,
      'enterpriseList':enterpriseList
    }
  }
}